/**
 * 
 */
package com.example.layouttest.presenter;

import com.example.layouttest.view.CityEditorView;
import com.example.layouttest.view.CityEditorViewImpl;
import com.vaadin.event.EventRouter;
import com.vaadin.ui.Panel;

@SuppressWarnings("serial")
public class CityEditorPresenter 
    extends AbstractPresenter<CityEditorView, CityEditorView.Presenter> 
    implements CityEditorView.Presenter {
    
    EventRouter eventBus;

    public CityEditorPresenter(EventRouter eventBus) {
		super();
		this.eventBus = eventBus;
	}

	@Override
    protected CityEditorView createView() {
        return new CityEditorViewImpl();
    } 

    @Override
    public void go(Panel panel) {
        panel.setContent(getView().asLayout());
    }
}
