/**
 * 
 */
package com.example.layouttest.view;

import com.vaadin.ui.Label;
import com.vaadin.ui.Layout;
import com.vaadin.ui.TextField;
import com.vaadin.ui.VerticalLayout;

/**
 * Encapsulates the visual components (i.e. the form) of the tour editor view.
 * 
 * @author Richard Gal
 * 
 */
public class TourEditorViewImpl extends VerticalLayout implements TourEditorView {

    private static final long serialVersionUID = 1L;
    
    private Presenter presenter;
    
    public TourEditorViewImpl() {
        super();
        init();
    }
    
    void init() {
    	addComponent(new Label("TourEditorView"));
    	addComponent(new TextField("Test 1"));
    	addComponent(new TextField("Test 2"));
    	addComponent(new TextField("Test 3"));
    	addComponent(new TextField("Test 4"));
    	addComponent(new TextField("Test 5"));
    	addComponent(new TextField("Test 6"));
    	addComponent(new TextField("Test 7"));
    	addComponent(new TextField("Test 8"));
    	addComponent(new TextField("Test 9"));
    }

    @Override
    public Layout asLayout() {
        return this;
    }
    
    @Override
    public void setPresenter(Presenter presenter) {
        this.presenter = presenter;
    }

}
